<!DOCTYPE html>
<html style="position: static; height: 100%; overflow: unset;">
<head>
  <meta charset="utf-8">

  <title>Cocos Creator | full</title>

  <!--http://www.html5rocks.com/en/mobile/mobifying/-->
  <meta content="user-scalable=no, width=device-width, initial-scale=1, minimum-scale=1.0, maximum-scale=1.0, viewport-fit=cover" name="viewport">
  <!-- <meta name="viewport" content="width=device-width,user-scalable=no,initial-scale=1, minimum-scale=1,maximum-scale=1"/> -->

  <!--https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariHTMLRef/Articles/MetaTags.html-->
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="format-detection" content="telephone=no">

  <!-- force webkit on 360 -->
  <meta name="renderer" content="webkit"/>
  <meta name="force-rendering" content="webkit"/>
  <!-- force edge on IE -->
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
  <meta name="msapplication-tap-highlight" content="no">

  <!-- force full screen on some browser -->
  <meta name="full-screen" content="yes"/>
  <meta name="x5-fullscreen" content="true"/>
  <meta name="360-fullscreen" content="true"/>
  
  <!-- force screen orientation on some browser -->
  <meta name="screen-orientation" content=""/>
  <meta name="x5-orientation" content="">

  <!--fix fireball/issues/3568 -->
  <!--<meta name="browsermode" content="application">-->
  <meta name="x5-page-mode" content="app">

  <!--<link rel="apple-touch-icon" href=".png" />-->
  <!--<link rel="apple-touch-icon-precomposed" href=".png" />-->

  <link rel="stylesheet" type="text/css" href="style-mobile.25fc5.css"/>
  <link rel="icon" href="favicon.8de18.ico"/>
</head>
<style type="text/css">
			body, html,canvas{
				position: absolute;
				top: 0px;
				left: 0px;
        right:0px;
        left:0px;
				margin: 0;
				padding: 0;
				overflow: visible;
				width:100%;
        background-color:black;

			}
			html {
				overflow: hidden;
			}
      #Cocos2dGameContainer{
        position: fixed;
				top: 0px; 
				left: 0px;
				margin: 0;
				padding: 0;
				overflow: visible;
				width:100%;
        height:100%;
      }
			</style>
<body style="height: 3393px;">
  <canvas id="GameCanvas" oncontextmenu="event.preventDefault()" tabindex="0"></canvas>
  <div id="splash">
    <div class="progress-bar stripes">
      <span style="width: 0%"></span>
    </div>
  </div>
<div id="drag_up" style="height: 3393px; width: 100%; position: absolute; z-index: -1;"></div>
<script src="src/settings.0b107.js" charset="utf-8"></script>
<script src="main.143b3.js" charset="utf-8"></script>
<script type="text/javascript">
(function () {
    // open web debugger console
    if (typeof VConsole !== 'undefined') {
        window.vConsole = new VConsole();
    }

    var debug = window._CCSettings.debug;
    var splash = document.getElementById('splash');
    splash.style.display = 'block';

    function loadScript (moduleName, cb) {
      function scriptLoaded () {
          document.body.removeChild(domScript);
          domScript.removeEventListener('load', scriptLoaded, false);
          cb && cb();
      };
      var domScript = document.createElement('script');
      domScript.async = true;
      domScript.src = moduleName;
      domScript.addEventListener('load', scriptLoaded, false);
      document.body.appendChild(domScript);
    }

    loadScript(debug ? 'cocos2d-js.js' : 'cocos2d-js-min.d1e6e.js', function () {
      if (CC_PHYSICS_BUILTIN || CC_PHYSICS_CANNON) {
        loadScript(debug ? 'physics.js' : 'physics-min.941a2.js', window.boot);
      }
      else {
        window.boot();
      }
    });
})();

function CheckFullScreen(){
  //cc.view.setFrameSize();
  let width = window.innerWidth;
  let height = window.innerHeight;
  /*
  let width = 1280;
  let height = 720;
  let width = window.innerWidth * window.devicePixelRatio;
  let height = window.innerHeight * window.devicePixelRatio;
  */
  
  //cc.view.setDesignResolutionSize(window.innerWidth,window.innerHeight,cc.ResolutionPolicy.NO_BORDER);
  cc.view.setCanvasSize(window.innerWidth,window.innerHeight);
  /*
  cc.view._resize();
  cc.internal.inputManager._updateCanvasBoundingRect();
  cc._widgetManager.onResized();
  */
  //cc.view._resizeEvent(true);
  //cc.view.setDesignResolutionSize(width,height,cc.ResolutionPolicy.SHOW_ALL);
    
  /*
  cv.style.width = window.innerWidth+'px';
  cv.style.height = window.innerHeight+'px';
  cv.width = window.innerWidth * window.devicePixelRatio;
  cv.height = window.innerHeight * window.devicePixelRatio;
  */
  if(window.innerHeight>=window.outerHeight){
    
    let body = document.getElementsByTagName("body")[0];

    //body.removeChild();
    //document.getElementById("drag_up").style.display= 'none';
    document.getElementById("drag_up").style.zIndex= '-1';
    document.documentElement.style.position = 'static';
    document.documentElement.style.overflow = 'hidden';
    document.documentElement.style.height = '100%';
    
    body.style.position = 'static';
    body.style.height = '100%';
    body.style.overflow = 'hidden';

    let cv = document.getElementById("GameCanvas");
    cv.style.display = 'none';
    cv.style.display = 'block';

    //window.removeEventListener("touchstart", CheckFullScreen);
    window.removeEventListener("touchmove", CheckFullScreen);
    window.removeEventListener("touchend", CheckFullScreen);
    //cc.view.setFrameSize(window.innerWidth,window.innerHeight);
    cc.view.setCanvasSize(window.innerWidth,window.innerHeight);  
    /*
    cc.internal.inputManager._updateCanvasBoundingRect();
    setTimeout(()=>{
      window.scrollTo(0,0);
    },0.1);
    */
    /*
    cc.view._resize();
    cc._widgetManager.onResized();
    */
    
    
    //cc.view._resizeEvent(true);
    /*
    
    */

    //cc.view.setDesignResolutionSize(width,height,cc.ResolutionPolicy.SHOW_ALL);
    //cc.view.setDesignResolutionSize(window.innerWidth,window.innerHeight,cc.ResolutionPolicy.NO_BORDER);
    /*
    
    console.log("cc.internal.inputManager._updateCanvasBoundingRect();");
    
    console.log("call end");
    */
  }
}
function SetLandscape(){
  /*
  let cv = document.getElementById("GameCanvas");
  cv.style.width = window.innerWidth+'px';
  cv.style.height = window.innerHeight+'px';
  */
  //if(cc.view)cc.view.setCanvasSize(window.innerWidth,window.innerHeigh);
  let body = document.getElementsByTagName("body")[0];
  document.getElementById("drag_up").style.zIndex= '100';
  document.documentElement.style.position = 'static';
  document.documentElement.style.overflow = 'unset';
  document.documentElement.style.height = '100%';
  
  body.style.position = 'static';
  body.style.height = '4000px';
  body.style.overflow = 'unset';
  window.addEventListener("touchmove", CheckFullScreen);
  window.addEventListener("touchend", CheckFullScreen);
}
function SetPortrait(){
  /*
  let cv = document.getElementById("GameCanvas");
  cv.style.width = window.innerWidth+'px';
  cv.style.height = window.innerHeight+'px';
  */
  //if(cc.view)  cc.view.setCanvasSize(window.innerWidth,window.innerHeigh);
  let body = document.getElementsByTagName("body")[0];
  document.getElementById("drag_up").style.zIndex= '-1';
  document.documentElement.style.position = 'static';
  document.documentElement.style.overflow = 'hidden';
  document.documentElement.style.height = '100%';
  
  body.style.position = 'static';
  body.style.height = '100%';
  body.style.overflow = 'hidden';
  window.removeEventListener("touchmove", CheckFullScreen);
  window.removeEventListener("touchend", CheckFullScreen);
}
function ChangeOrientation(){
  if(window.orientation===90||window.orientation===180) SetLandscape();
  else SetPortrait();
}
window.addEventListener("orientationchange",ChangeOrientation);
ChangeOrientation();
</script>
</body>
</html>
